summaryrefslogtreecommitdiffstats
path: root/games/glob2
diff options
context:
space:
mode:
author Dimitris Zlatanidis <d.zlatanidis@gmail.com>2014-04-10 12:47:44 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-04-10 12:47:44 +0700
commit2863a225a93910adcca3651b4d9b39f932cd6e37 (patch)
tree32640fc2644ae7670c02043688f22e1087880983 /games/glob2
parent2032348abad610cf7ef0b2521044a6732f2344e9 (diff)
downloadslackbuilds-2863a225a93910adcca3651b4d9b39f932cd6e37.tar.gz
slackbuilds-2863a225a93910adcca3651b4d9b39f932cd6e37.tar.xz
games/glob2: Added (RTS game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/glob2')
-rw-r--r--games/glob2/README3
-rw-r--r--games/glob2/SConstruct_boost.patch17
-rw-r--r--games/glob2/TextStream_headers.patch15
-rw-r--r--games/glob2/doinst.sh3
-rw-r--r--games/glob2/glob2.SlackBuild100
-rw-r--r--games/glob2/glob2.info10
-rw-r--r--games/glob2/slack-desc19
7 files changed, 167 insertions, 0 deletions
diff --git a/games/glob2/README b/games/glob2/README
new file mode 100644
index 0000000000..7585359881
--- /dev/null
+++ b/games/glob2/README
@@ -0,0 +1,3 @@
+Globulation 2 is an innovative Real-Time Strategy (RTS)
+game which reduces micro-management by automatically
+assigning tasks to units.
diff --git a/games/glob2/SConstruct_boost.patch b/games/glob2/SConstruct_boost.patch
new file mode 100644
index 0000000000..0867016d6f
--- /dev/null
+++ b/games/glob2/SConstruct_boost.patch
@@ -0,0 +1,17 @@
+--- glob2-0.9.4.4/SConstruct.original 2014-04-09 06:25:12.710804438 +0300
++++ glob2-0.9.4.4/SConstruct 2014-04-09 06:47:08.010360930 +0300
+@@ -109,6 +109,14 @@
+ else:
+ print "Could not find libz or zlib1.dll"
+ missing.append("zlib")
++
++ boost_system = ''
++ if conf.CheckLib("boost_system"):
++ boost_system="boost_system"
++ else:
++ print "Could not find libboost_system"
++ missing.append("libboost_system")
++ env.Append(LIBS=[boost_system])
+
+ boost_thread = ''
+ if conf.CheckLib("boost_thread") and conf.CheckCXXHeader("boost/thread/thread.hpp"):
diff --git a/games/glob2/TextStream_headers.patch b/games/glob2/TextStream_headers.patch
new file mode 100644
index 0000000000..56a5707a2c
--- /dev/null
+++ b/games/glob2/TextStream_headers.patch
@@ -0,0 +1,15 @@
+--- glob2-0.9.4.4/libgag/src/TextStream.original.cpp 2014-04-06 22:37:28.204008827 +0300
++++ glob2-0.9.4.4/libgag/src/TextStream.cpp 2014-04-06 22:37:59.509617453 +0300
+@@ -17,11 +17,11 @@
+ Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+ */
+
+-#include <TextStream.h>
+ #include <assert.h>
+ #include <fstream>
+ #include <iostream>
+ #include <stack>
++#include <TextStream.h>
+ #ifdef WIN32
+ #define snprintf _snprintf
+ #define vsnprintf _vsnprintf
diff --git a/games/glob2/doinst.sh b/games/glob2/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/glob2/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/glob2/glob2.SlackBuild b/games/glob2/glob2.SlackBuild
new file mode 100644
index 0000000000..1d5973bc9f
--- /dev/null
+++ b/games/glob2/glob2.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for glob2
+
+# Copyright 2014 Dimitris Zlatanidis Greece-Orestiada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=glob2
+VERSION=${VERSION:-0.9.4.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+patch -p1 < $CWD/TextStream_headers.patch
+patch -p1 < $CWD/SConstruct_boost.patch
+
+mkdir -p $PKG/usr/bin \
+ $PKG/usr/share/games/$PRGNAM
+
+scons BINDIR="$PKG/usr/bin" INSTALLDIR="$PKG/usr/share/games/$PRGNAM"
+scons install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/applications
+install -D -m644 data/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/share/pixmaps/
+install -D -m644 data/icons/${PRGNAM}-icon-48x48.png \
+ $PKG/usr/share/pixmaps/${PRGNAM}-icon-48x48.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/glob2/glob2.info b/games/glob2/glob2.info
new file mode 100644
index 0000000000..c9f0bae166
--- /dev/null
+++ b/games/glob2/glob2.info
@@ -0,0 +1,10 @@
+PRGNAM="glob2"
+VERSION="0.9.4.4"
+HOMEPAGE="http://globulation2.org"
+DOWNLOAD="http://dl.sv.nongnu.org/releases/glob2/0.9.4/glob2-0.9.4.4.tar.gz"
+MD5SUM="94c527325f355a29a2807f8f18a6e6a8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="scons speex"
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="d.zlatanidis@gmail.com"
diff --git a/games/glob2/slack-desc b/games/glob2/slack-desc
new file mode 100644
index 0000000000..77e4ca6423
--- /dev/null
+++ b/games/glob2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+glob2: glob2 (RTS game)
+glob2:
+glob2: Globulation 2 is an innovative Real-Time Strategy (RTS)
+glob2: game which reduces micro-management by automatically
+glob2: assigning tasks to units.
+glob2:
+glob2: Homepage: http://globulation2.org
+glob2:
+glob2:
+glob2:
+glob2: